function ProjectFile()
{
  //傳輸檔案
  var FileTransmission = function(that, file){ProjectFile.prototype._FileTransmission_(that, file);}; 
  //檢查檔案
  var CheckProjectFileName = function(that, FileName){ProjectFile.prototype._CheckProjectFileName_(that, FileName);};
  //刪除檔案
  this.RemoveProjectFile = function(that){ProjectFile.prototype._RemoveProjectFile_(that);};
  //下載檔案
  this.DownloadProjectFile = function(that){ProjectFile.prototype._DownloadProjectFile_(that);};
  //上傳檔案
  this.UploadProjectFile   = function(that, Event){ProjectFile.prototype._UploadProjectFile_(that, Event);};
  //更新
  this.UpdateProjectFile = function(that){ProjectFile.prototype._UpdateProjectFile_(that);};
  //開機服務
  this.UpdateBootService = function(that){ProjectFile.prototype._UpdateProjectFile_(that);};
  //產生xml
  var SaveXml = function(that){return ProjectFile.prototype._SaveXml_(that);};
}